Hooks:PostHook( WeaponTweakData, "init", "no_weapon_fadeout", function(self)
local fadeout_blacklist = { -- that's the same blacklist as afsf, i wonder why
	["Play_saw_handheld_end"] = true,
	["minigun_stop"] = true,
	["shuno_stop"] = true,
	["mg42_stop"] = true
}

local sounds_blacklist = {
	["Play_saw_handheld_start"] = true,
	["minigun_fire_single"] = true,
	["shuno_fire_single"] = true,
	["mg42_fire_single"] = true
}

local sounds_shotguns = {
	["remington_fire"] = true,
	["saiga_play"] = true,
	["serbu_fire"] = true,
	["huntsman_fire"] = true,
	["judge_fire"] = true,
	["benelli_m4_fire"] = true,
	["striker_fire"] = true,
	["keltec_fire"] = true,
	["spas_fire"] = true,
	["b682_fire"] = true,
	["aa12_fire"] = true,
	["m37_fire"] = true,
	["boot_fire"] = true,
	["rota_fire"] = true,
	["basset_fire"] = true,
	["basset_x_fire"] = true,
	["judge_x_fire"] = true,
	["rota_x_fire"] = true,
	["coach_fire"] = true
}

local sounds_grenades = {
	["gl40_fire"] = true,
	["contrabandm203_fire"] = true,
	["mgl_fire"] = true,
	["china_fire"] = true,
	["slap_fire"] = true,
	["arbiter_fire"] = true
}

local sounds_rockets = {
	["rpg_fire"] = true,
	["ray_fire"] = true
}

local sounds_flamethrowers = {
	["flamethrower_fire"] = true,
	["system_fire"] = true
}

for _, weapon in pairs(self) do
	if weapon.sounds then
		if weapon.sounds.fire and sounds_shotguns[weapon.sounds.fire] then
			weapon.sounds.fire = "huntsman_fire"
			weapon.sounds.fire_single = "huntsman_fire"
		elseif weapon.sounds.fire and sounds_grenades[weapon.sounds.fire] then
			weapon.sounds.fire = "gl40_fire"
		elseif weapon.sounds.fire and sounds_rockets[weapon.sounds.fire] then
			weapon.sounds.fire = "rpg_fire"
		elseif weapon.sounds.fire and sounds_flamethrowers[weapon.sounds.fire] then
			weapon.sounds.fire = "flamethrower_fire"
		elseif weapon.sounds.fire and not sounds_blacklist[weapon.sounds.fire] then
			weapon.sounds.fire = "ak74_fire_single"
			weapon.sounds.fire_single = "ak74_fire_single"
		end
		
		if not fadeout_blacklist[weapon.sounds.stop_fire] then
			weapon.sounds.stop_fire = "ak74_stop"
		end
	end
end

end )